Oore CI

Read the repository's config files now

Reads the default branch through the source provider, rewrites the cache, and adds pipelines for new files when the project's `auto_add_pipelines` is on. A failed read is reported in `error` beside the files from the read before it.

Operation IDrefresh_repository_config_files
POST
/v1/projects/{project_id}/repository-config-files/refresh

Reads the default branch through the source provider, rewrites the cache, and adds pipelines for new files when the project's auto_add_pipelines is on. A failed read is reported in error beside the files from the read before it.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/repository-config-files/refresh"
{  "branch": "string",  "commit_sha": "string",  "error": "string",  "files": [    {      "errors": [        "string"      ],      "path": "string",      "pipelines": [        {          "id": "string",          "name": "string"        }      ],      "seen_at": 0,      "suggested_name": "string",      "valid": true,      "workflows": [        "string"      ]    }  ],  "project_id": "string",  "scanned_at": 0,  "truncated": true}